clang 10.0.0git

Public Types | Public Member Functions | List of all members
clang::sema::DelayedDiagnosticPool Class Reference

A collection of diagnostics which were delayed. More...

`#include "clang/Sema/DelayedDiagnostic.h"`

## Public Types
using | pool_iterator = SmallVectorImpl< DelayedDiagnostic >::const_iterator

## Public Member Functions
| DelayedDiagnosticPool (const DelayedDiagnosticPool *parent)
| DelayedDiagnosticPool (const DelayedDiagnosticPool &)=delete
DelayedDiagnosticPool & | operator= (const DelayedDiagnosticPool &)=delete
| DelayedDiagnosticPool (DelayedDiagnosticPool &&Other)
DelayedDiagnosticPool & | operator= (DelayedDiagnosticPool &&Other)
| ~DelayedDiagnosticPool ()
const DelayedDiagnosticPool * | getParent () const
bool | empty () const
| Does this pool, or any of its ancestors, contain any diagnostics? More...
void | add (const DelayedDiagnostic &diag)
| Add a diagnostic to this pool. More...
void | steal (DelayedDiagnosticPool &pool)
| Steal the diagnostics from the given pool. More...
pool_iterator | pool_begin () const
pool_iterator | pool_end () const
bool | pool_empty () const

## Detailed Description

A collection of diagnostics which were delayed.

Definition at line 268 of file DelayedDiagnostic.h.

## Member Typedef Documentation

## ◆ pool_iterator

using clang::sema::DelayedDiagnosticPool::pool_iterator = SmallVectorImpl<DelayedDiagnostic>::const_iterator

Definition at line 320 of file DelayedDiagnostic.h.

## Constructor & Destructor Documentation

## ◆ DelayedDiagnosticPool() [1/3]

clang::sema::DelayedDiagnosticPool::DelayedDiagnosticPool | ( | const DelayedDiagnosticPool * | parent | ) |
| inline

Definition at line 273 of file DelayedDiagnostic.h.

## ◆ DelayedDiagnosticPool() [2/3]

clang::sema::DelayedDiagnosticPool::DelayedDiagnosticPool | ( | const DelayedDiagnosticPool & |  | ) |
| delete

## ◆ DelayedDiagnosticPool() [3/3]

clang::sema::DelayedDiagnosticPool::DelayedDiagnosticPool | ( | DelayedDiagnosticPool && | Other | ) |
| inline

Definition at line 278 of file DelayedDiagnostic.h.

## ◆ ~DelayedDiagnosticPool()

clang::sema::DelayedDiagnosticPool::~DelayedDiagnosticPool | ( |  | ) |
| inline

Definition at line 290 of file DelayedDiagnostic.h.

## Member Function Documentation

## ◆ add()

void clang::sema::DelayedDiagnosticPool::add | ( | const DelayedDiagnostic & | diag | ) |
| inline

Add a diagnostic to this pool.

Definition at line 304 of file DelayedDiagnostic.h.

## ◆ empty()

bool clang::sema::DelayedDiagnosticPool::empty | ( |  | ) | const
| inline

Does this pool, or any of its ancestors, contain any diagnostics?

Definition at line 299 of file DelayedDiagnostic.h.

References empty().

Referenced by empty().

## ◆ getParent()

const DelayedDiagnosticPool* clang::sema::DelayedDiagnosticPool::getParent | ( |  | ) | const
| inline

Definition at line 296 of file DelayedDiagnostic.h.

References Parent.

## ◆ operator=() [1/2]

DelayedDiagnosticPool& clang::sema::DelayedDiagnosticPool::operator= | ( | const DelayedDiagnosticPool & |  | ) |
| delete

## ◆ operator=() [2/2]

DelayedDiagnosticPool& clang::sema::DelayedDiagnosticPool::operator= | ( | DelayedDiagnosticPool && | Other | ) |
| inline

Definition at line 283 of file DelayedDiagnostic.h.

## ◆ pool_begin()

pool_iterator clang::sema::DelayedDiagnosticPool::pool_begin | ( |  | ) | const
| inline

Definition at line 322 of file DelayedDiagnostic.h.

Referenced by steal().

## ◆ pool_empty()

bool clang::sema::DelayedDiagnosticPool::pool_empty | ( |  | ) | const
| inline

Definition at line 324 of file DelayedDiagnostic.h.

Referenced by clang::SuppressAccessChecks::redelay().

## ◆ pool_end()

pool_iterator clang::sema::DelayedDiagnosticPool::pool_end | ( |  | ) | const
| inline

Definition at line 323 of file DelayedDiagnostic.h.

Referenced by steal().

## ◆ steal()

void clang::sema::DelayedDiagnosticPool::steal | ( | DelayedDiagnosticPool & | pool | ) |
| inline

Steal the diagnostics from the given pool.

Definition at line 309 of file DelayedDiagnostic.h.

References pool_begin(), and pool_end().

Referenced by clang::ParsingDeclRAIIObject::ParsingDeclRAIIObject().

The documentation for this class was generated from the following file:

- include/clang/Sema/DelayedDiagnostic.h